/*  ==========================================================================
    // Burger
    //
    // an animated burger menu - https://sarasoueidan.com/blog/navicon-transformicons/
    //
    // .open - open state
    //
    // Markup: burger.html
    //
    // Style guide: Modules.Burger
    //
    ========================================================================== */

    .burger-menu
    {
        @include inline-block;
        padding: 0 $burger-button-size/4 0 $burger-button-size/4;

        transition: .3s;
        cursor: pointer;
        user-select: none;

        &:hover
        {
            opacity: 1;

            .lines
            {
                &:before { top: $burger-button-size/3.5; }
                &:after { top: -$burger-button-size/3.5; }
            }
        }

        &.x
        {
            &.open
            {
                .lines
                {
                    background: transparent;

                    &:before,
                    &:after
                    {
                        top: 0;
                        left: 2px;

                        width: 2rem;
                        height: 2px;

                        -webkit-transform-origin: 50% 50%;
                        transform-origin: 50% 50%;
                    }

                    &:before
                    {
                        -webkit-transform: rotate3d(0, 0, 1, 45deg);
                        transform: rotate3d(0, 0, 1, 45deg);
                    }

                    &:after
                    {
                        -webkit-transform: rotate3d(0, 0, 1, -45deg);
                        transform: rotate3d(0, 0, 1, -45deg);
                    }
                }
            }
        }
    }

    @mixin line
    {
        display: inline-block;
        width: $burger-button-size;
        height: $burger-line-height;

        background: $burger-color;
        border-radius: $burger-button-size/14;
        transition: $burger-transition;
    }

    .lines
    {
        @include line;

        position: relative;

        vertical-align: middle;

        &:before,
        &:after
        {
            @include line;

            position: absolute;
            left:0;

            content: '';
            transform-origin: $burger-button-size/14 center;
        }

        &:before
        {
            top: $burger-top-line-top;
        }

        &:after
        {
            top: $burger-bottom-line-top;
        }
    }